# MiCasaBootstrapData (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.data
Class MiCasaBootstrapData

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.presents.net.BootstrapData
              com.threerings.micasa.data.MiCasaBootstrapData

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class MiCasaBootstrapData

extends com.threerings.presents.net.BootstrapData

Extends the basic Presents bootstrap data and provides some bootstrap information specific to the MiCasa services.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`int` `defLobbyOid` The oid of the default lobby.

Fields inherited from class com.threerings.presents.net.BootstrapData
`clientOid, connectionId, services`

Constructor Summary
`MiCasaBootstrapData()`

Method Summary

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defLobbyOid

    public int defLobbyOid

  The oid of the default lobby.

Constructor Detail

### MiCasaBootstrapData

    public MiCasaBootstrapData()

Copyright © 2011. All Rights Reserved.